## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 31;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%ifnarch riscv64
%bcond check 1
%else
%bcond check 0
%endif
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

# https://github.com/golang/exp
%global goipath         golang.org/x/exp
%global forgeurl        https://github.com/golang/exp
%global commit          7f521ea00fb803b5b0afbd67743292096b09056b

%gometa

%global common_description %{expand:
This subrepository holds experimental and deprecated packages.

The idea for this subrepository originated as the pkg/exp directory of the main
repository, but its presence there made it unavailable to users of the binary
downloads of the Go installation. The subrepository has therefore been created
to make it possible to go get these packages.}

%global golicenses      LICENSE PATENTS
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Version:        0
Release:        %autorelease -p -b 30 -e 0.riscv64
Summary:        Experimental and deprecated Go packages

License:        BSD-3-Clause AND Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  libglvnd-devel

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1
rm -rfv event jsonrpc2 shiny

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in cmd/apidiff cmd/modgraphviz cmd/txtar ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestRelease_gitRepo_uncommittedChanges" \
            "TestFailure" \
            "TestCertificateTransparency" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE PATENTS
%doc CONTRIBUTING.md README.md
%{_bindir}/apidiff
%ifnarch riscv64
%{_bindir}/gorelease
%endif
%{_bindir}/modgraphviz
%{_bindir}/txtar
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Jan 15 2025 David Abdurachmanov <davidlt@rivosinc.com> - 0-0.60.0.riscv64
- Fix files for riscv64

* Wed Jan 15 2025 David Abdurachmanov <davidlt@rivosinc.com> - 0-0.59.0.riscv64
- Disable tests on riscv64 for now

* Wed Jan 15 2025 David Abdurachmanov <davidlt@rivosinc.com> - 0-0.58.0.riscv64
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
